log4shib::RollingFileAppender(3)

NAME
log4shib::RollingFileAppender - RollingFileAppender is a FileAppender that rolls over the logfile once it has reached a certain size limit.

SYNOPSIS

#include <RollingFileAppender.hh>

Inherits log4shib::FileAppender.

  Public Member Functions
RollingFileAppender (const std::string &name, const std::string &fileName, size_t maxFileSize=10 *1024 *1024, unsigned int maxBackupIndex=1, bool append=true, mode_t mode=00644)
virtual void setMaxBackupIndex (unsigned int maxBackups)
virtual unsigned int getMaxBackupIndex () const
virtual void setMaximumFileSize (size_t maxFileSize)
virtual size_t getMaxFileSize () const
virtual void rollOver ()

  Protected Member Functions
virtual void _append (const LoggingEvent &event)
Log in Appender specific way.

  Protected Attributes
unsigned int _maxBackupIndex
size_t _maxFileSize

  Additional Inherited Members

Detailed Description

RollingFileAppender is a FileAppender that rolls over the logfile once it has reached a certain size limit.

Since
    0.3.1

Constructor & Destructor Documentation

  log4shib::RollingFileAppender::RollingFileAppender (const std::string & name, const std::string & fileName, size_t maxFileSize = 10*1024*1024, unsigned int maxBackupIndex = 1, bool append = true, mode_t mode = 00644)

Member Function Documentation

  void log4shib::RollingFileAppender::_append (const LoggingEvent & event) [protected], [virtual]

Log in Appender specific way. Subclasses of Appender should implement this method to perform actual logging.

Parameters
    event The LoggingEvent to log.

Reimplemented from log4shib::FileAppender.

  unsigned int log4shib::RollingFileAppender::getMaxBackupIndex () const [virtual]

  size_t log4shib::RollingFileAppender::getMaxFileSize () const [virtual]

  void log4shib::RollingFileAppender::rollOver () [virtual]

  void log4shib::RollingFileAppender::setMaxBackupIndex (unsigned int maxBackups) [virtual]

  void log4shib::RollingFileAppender::setMaximumFileSize (size_t maxFileSize) [virtual]

Member Data Documentation

  unsigned int log4shib::RollingFileAppender::_maxBackupIndex [protected]

  size_t log4shib::RollingFileAppender::_maxFileSize [protected]

Author

Generated automatically by Doxygen for log4shib from the source code.